Bug 835139 - failed to clear /var/run/PackageKit/udev
failed to clear /var/run/PackageKit/udev
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 12:16 EDT by Stefan Jensen
Modified: 2013-08-01 13:06 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:06:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Jensen 2012-06-25 12:16:36 EDT
Description of problem:

errors in /var/log/messages

Version-Release number of selected component (if applicable):

# rpm -qa| grep -i packagekit

PackageKit-yum-0.7.4-4.fc17.x86_64
PackageKit-gtk3-module-0.7.4-4.fc17.x86_64
gnome-packagekit-3.4.2-1.fc17.x86_64
PackageKit-device-rebind-0.7.4-4.fc17.x86_64
PackageKit-gstreamer-plugin-0.7.4-4.fc17.x86_64
PackageKit-0.7.4-4.fc17.x86_64
PackageKit-yum-plugin-0.7.4-4.fc17.x86_64
PackageKit-glib-0.7.4-4.fc17.x86_64

How reproducible:

Always

Steps to Reproduce:
1. refresh softwarelist via gui
2. watch /var/log/messages
  
Actual results:

failed to clear /var/run/PackageKit/udev
could not load desktop file /usr/share/applications/fedora-wireshark.desktop

Expected results:

no errors

Additional info:

fedora-wireshark.desktop file exists, perms ok and looks sane.

==> messages <==
Jun 25 18:03:03 hurricane dbus-daemon[666]: ** Message: No devices in use, exit
Jun 25 18:03:20 hurricane dbus-daemon[666]: (packagekitd:1561): PkPlugin-WARNING **: failed to clear /var/run/PackageKit/udev
Jun 25 18:03:20 hurricane dbus-daemon[666]: (packagekitd:1561): PkPlugin-WARNING **: could not load desktop file /usr/share/applications/fedora-wireshark.desktop
Jun 25 18:03:21 hurricane dbus-daemon[666]: (packagekitd:1561): PkPlugin-WARNING **: not correct size, 0
Jun 25 18:03:21 hurricane dbus-daemon[666]: (packagekitd:1561): PkPlugin-WARNING **: failed to get list
Comment 1 Richard Hughes 2012-06-26 06:36:58 EDT
commit 6a2c69ee4125e7b5b5013019572b852c6c05b440
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jun 26 11:34:15 2012 +0100

    Don't show a warning on refresh if /var/run/PackageKit/udev does not exist
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=835139

-- as for the other warning it's a bit less clear what the problem is. Could you perhaps attach your /usr/share/applications/fedora-wireshark.desktop file to this bz please.
Comment 2 Stefan Jensen 2012-06-26 09:05:11 EDT
(In reply to comment #1)
> -- as for the other warning it's a bit less clear what the problem is. Could
> you perhaps attach your /usr/share/applications/fedora-wireshark.desktop
> file to this bz please.

Sure, here it is:

#cat /usr/share/applications/fedora-wireshark.desktop

[Desktop Entry]
Encoding=UTF-8
Name=Wireshark Network Analyzer
Name[fi]=Wireshark
Name[sv]=Wireshark
Comment=Wireshark traffic and network analyzer
Comment[fi]=Verkkoanalysaattori
Comment[sv]=Nätverkstrafikanalysator
TryExec=wireshark
Exec=wireshark %f
Icon=wireshark
Terminal=false
Type=Application
Categories=X-Red-Hat-Extra;Application;Network;GTK;X-Fedora;
MimeType=application/x-pcap;
X-Desktop-File-Install-Version=0.19
Comment 3 Fedora End Of Life 2013-07-04 01:50:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 13:06:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.